---
title: "WC2H Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/WC2H"
canonical_url: "https://regulex.uk/directory/postcode/WC2H"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area WC2H. Monitoring 746 accountancy practices and 59,563,732 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/WC2H](https://regulex.uk/directory/postcode/WC2H)
>
> *Statutory compliance registry for postal area WC2H. Monitoring 746 accountancy practices and 59,563,732 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in WC2H

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [123 BUSINESS ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=11719611) CRN: 11719611 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11719611) |
| 2 | [1ST PENSION SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=16932959) CRN: 16932959 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16932959) |
| 3 | [23 WEALTH ADVISORY LIMITED](https://regulex.uk/practice/dashboard?crn=16221399) CRN: 16221399 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16221399) |
| 4 | [262 CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=14934983) CRN: 14934983 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14934983) |
| 5 | [3D ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=17128287) CRN: 17128287 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17128287) |
| 6 | [A TEAM FINANCE LIMITED](https://regulex.uk/practice/dashboard?crn=07613366) CRN: 07613366 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07613366) |
| 7 | [A V SAVLA ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=15007429) CRN: 15007429 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15007429) |
| 8 | [A&F ADVISORY SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=12775597) CRN: 12775597 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12775597) |
| 9 | [A&M CLEAR COUNT LTD](https://regulex.uk/practice/dashboard?crn=16608159) CRN: 16608159 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16608159) |
| 10 | [AA & R FINANCIAL ATELIER LIMITED](https://regulex.uk/practice/dashboard?crn=16827453) CRN: 16827453 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16827453) |
| 11 | [AA TAX & ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=16702426) CRN: 16702426 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16702426) |
| 12 | [AB BOOKS LTD](https://regulex.uk/practice/dashboard?crn=16137171) CRN: 16137171 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16137171) |
| 13 | [AB STRATEGIC FINANCE LTD](https://regulex.uk/practice/dashboard?crn=15452671) CRN: 15452671 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15452671) |
| 14 | [ABAKAS UK LIMITED](https://regulex.uk/practice/dashboard?crn=16094203) CRN: 16094203 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16094203) |
| 15 | [ABIEL & CO LTD](https://regulex.uk/practice/dashboard?crn=16558904) CRN: 16558904 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16558904) |
| 16 | [ABJ ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=07725697) CRN: 07725697 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07725697) |
| 17 | [ABL ACCOUNTS LTD.](https://regulex.uk/practice/dashboard?crn=10102208) CRN: 10102208 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10102208) |
| 18 | [ABSTRACT VALUES LIMITED](https://regulex.uk/practice/dashboard?crn=13109497) CRN: 13109497 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13109497) |
| 19 | [ACC4U FOR ACCOUNTING AND AUDITING LTD](https://regulex.uk/practice/dashboard?crn=15524040) CRN: 15524040 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15524040) |
| 20 | [ACCOUNT INC LTD](https://regulex.uk/practice/dashboard?crn=14700320) CRN: 14700320 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14700320) |
| 21 | [ACCOUNT PHASE LIMITED](https://regulex.uk/practice/dashboard?crn=09797459) CRN: 09797459 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09797459) |
| 22 | [ACCOUNT8 LIMITED](https://regulex.uk/practice/dashboard?crn=17069524) CRN: 17069524 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17069524) |
| 23 | [ACCOUNTANCY ENTERPRISE LIMITED](https://regulex.uk/practice/dashboard?crn=07857471) CRN: 07857471 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07857471) |
| 24 | [ACCOUNTING ALLY GROUP UK LIMITED](https://regulex.uk/practice/dashboard?crn=16340727) CRN: 16340727 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16340727) |
| 25 | [ACCOUNTING NINJAS LTD](https://regulex.uk/practice/dashboard?crn=14516231) CRN: 14516231 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14516231) |
| 26 | [ACCOUNTING UNIVERSE LIMITED](https://regulex.uk/practice/dashboard?crn=15743259) CRN: 15743259 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15743259) |
| 27 | [ACCOUNTS ON THE GO LTD](https://regulex.uk/practice/dashboard?crn=15850416) CRN: 15850416 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15850416) |
| 28 | [ACCOUNTSBYTES LTD](https://regulex.uk/practice/dashboard?crn=15220988) CRN: 15220988 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15220988) |
| 29 | [ACCOUNTSWAY LTD](https://regulex.uk/practice/dashboard?crn=16645946) CRN: 16645946 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16645946) |
| 30 | [ACCUCOUNTING UK LIMITED](https://regulex.uk/practice/dashboard?crn=09931253) CRN: 09931253 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09931253) |
| 31 | [ACCUSOURCE LIMITED](https://regulex.uk/practice/dashboard?crn=17127656) CRN: 17127656 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17127656) |
| 32 | [ACE ACCOUNTING AND CONSULTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=16268429) CRN: 16268429 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16268429) |
| 33 | [ADAPT ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=15698774) CRN: 15698774 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15698774) |
| 34 | [ADDISON ACCOUNTS AND BUSINESS CONSULTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=14948802) CRN: 14948802 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14948802) |
| 35 | [ADFIN LTD](https://regulex.uk/practice/dashboard?crn=12937032) CRN: 12937032 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12937032) |
| 36 | [ADIRU CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=12760088) CRN: 12760088 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12760088) |
| 37 | [ADN BUSINESS SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=09679383) CRN: 09679383 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09679383) |
| 38 | [ADVISE UP LTD](https://regulex.uk/practice/dashboard?crn=05314820) CRN: 05314820 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05314820) |
| 39 | [AGENT ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=13913619) CRN: 13913619 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13913619) |
| 40 | [AGG ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=11672699) CRN: 11672699 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11672699) |
| 41 | [AH ACCOUNTING SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=13962330) CRN: 13962330 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13962330) |
| 42 | [AHJ FINANCIAL SERVICES INTERNATIONAL LTD](https://regulex.uk/practice/dashboard?crn=15456331) CRN: 15456331 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15456331) |
| 43 | [AIREGIN LTD](https://regulex.uk/practice/dashboard?crn=14813954) CRN: 14813954 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14813954) |
| 44 | [AK ACCOUNTING HUB LTD](https://regulex.uk/practice/dashboard?crn=15017891) CRN: 15017891 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15017891) |
| 45 | [AKAN BUSINESS SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=14416931) CRN: 14416931 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14416931) |
| 46 | [AKSSAI LTD](https://regulex.uk/practice/dashboard?crn=14540543) CRN: 14540543 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14540543) |
| 47 | [ALAN NIEKI CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=12693255) CRN: 12693255 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12693255) |
| 48 | [ALFA NERO CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=11985620) CRN: 11985620 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11985620) |
| 49 | [ALL YOUR BUSINESS NEEDS LTD](https://regulex.uk/practice/dashboard?crn=16504137) CRN: 16504137 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16504137) |
| 50 | [ALMOND SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=06781577) CRN: 06781577 • WC2H 9JQ | 82263 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06781577) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/WC2H](https://regulex.uk/directory/postcode/WC2H).
